Index: /LMDZ4/trunk/libf/phylmd/ini_histday.h
===================================================================
--- /LMDZ4/trunk/libf/phylmd/ini_histday.h	(revision 894)
+++ /LMDZ4/trunk/libf/phylmd/ini_histday.h	(revision 895)
@@ -83,8 +83,8 @@
      .                t2maxcels, zstophy,zout)
 c
-         CALL histdef(nid_day, "plul", "Large-scale Precip.",
-     .   "kg/(s*m2)",
-     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zstophy,zout)
+!        CALL histdef(nid_day, "plul", "Large-scale Precip.",
+!    .   "kg/(s*m2)",
+!    .                iim,jj_nb,nhori, 1,1,1, -99, 32,
+!    .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "pluc", "Convective Precip.",
Index: /LMDZ4/trunk/libf/phylmd/ini_histmth.h
===================================================================
--- /LMDZ4/trunk/libf/phylmd/ini_histmth.h	(revision 894)
+++ /LMDZ4/trunk/libf/phylmd/ini_histmth.h	(revision 895)
@@ -34,11 +34,11 @@
      .                 klev, presnivs/100., nvert)
 c
-         CALL histdef(nid_mth, "dtthe", "Dry adjust. dT", "K/s",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zstophy,zout)
-
-         CALL histdef(nid_mth, "dtcon", "Convection dT", "K/s",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zstophy,zout)
+!        CALL histdef(nid_mth, "dtthe", "Dry adjust. dT", "K/s",
+!    .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+!    .                "ave(X)", zstophy,zout)
+!
+!        CALL histdef(nid_mth, "dtcon", "Convection dT", "K/s",
+!    .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+!    .                "ave(X)", zstophy,zout)
 c
       IF(type_run.EQ."CLIM".OR.type_run.EQ."ENSP") THEN
Index: /LMDZ4/trunk/libf/phylmd/write_histday.h
===================================================================
--- /LMDZ4/trunk/libf/phylmd/write_histday.h	(revision 894)
+++ /LMDZ4/trunk/libf/phylmd/write_histday.h	(revision 895)
@@ -329,18 +329,4 @@
       CALL histwrite_phy(nid_day,"rhum",itau_w,zx_rh)
 
-      CALL histwrite_phy(nid_day,"wh",itau_w,wake_h)
-c
-      CALL histwrite_phy(nid_day,"ws",itau_w,wake_s)
-c
-      CALL histwrite_phy(nid_day,"cin",itau_w,cin)
-
-      CALL histwrite_phy(nid_day,"wale",itau_w,ale_wake)
-c
-      CALL histwrite_phy(nid_day,"walp",itau_w,alp_wake)
-c
-      CALL histwrite_phy(nid_day,"blale",itau_w,Ale_bl)
-c
-      CALL histwrite_phy(nid_day,"blalp",itau_w,Alp_bl)
-
 cFin Wake parameters 2D     
 c Wake parameters 3D
@@ -348,8 +334,4 @@
 	  print*,'SSS test2'
 c  if (1.eq.0) then
-      CALL histwrite_phy(nid_day,"wdt1",itau_w,wake_deltat(:,1))
-c
-      CALL histwrite_phy(nid_day,"wdq1",itau_w,wake_deltaq(:,1))
-c
 
 c
@@ -598,4 +580,23 @@
 	  CALL histwrite_phy(nid_day,"cape",itau_w,cape)
 c
+      CALL histwrite_phy(nid_day,"wh",itau_w,wake_h)
+c
+      CALL histwrite_phy(nid_day,"ws",itau_w,wake_s)
+c
+      CALL histwrite_phy(nid_day,"cin",itau_w,cin)
+
+      CALL histwrite_phy(nid_day,"wale",itau_w,ale_wake)
+c
+      CALL histwrite_phy(nid_day,"walp",itau_w,alp_wake)
+c
+      CALL histwrite_phy(nid_day,"blale",itau_w,Ale_bl)
+c
+      CALL histwrite_phy(nid_day,"blalp",itau_w,Alp_bl)
+
+      CALL histwrite_phy(nid_day,"wdt1",itau_w,wake_deltat(:,1))
+c
+      CALL histwrite_phy(nid_day,"wdq1",itau_w,wake_deltaq(:,1))
+c
+
       zx_tmp_fi3d(1:klon,1:klev)=d_t_con(1:klon,1:klev)/pdtphys
 cym      CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
Index: /LMDZ4/trunk/libf/phylmd/write_histmth.h
===================================================================
--- /LMDZ4/trunk/libf/phylmd/write_histmth.h	(revision 894)
+++ /LMDZ4/trunk/libf/phylmd/write_histmth.h	(revision 895)
@@ -17,14 +17,4 @@
 c
 
-cIM: 101003 : K/30min ==> K/s
-      zx_tmp_fi3d(1:klon,1:klev)=d_t_ajs(1:klon,1:klev)/pdtphys
-cym      CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      CALL histwrite_phy(nid_mth,"dtthe",itau_w,zx_tmp_fi3d)
-c
-cIM: 101003 : K/30min ==> K/s
-      zx_tmp_fi3d(1:klon,1:klev)=d_t_con(1:klon,1:klev)/pdtphys
-cym      CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      CALL histwrite_phy(nid_mth,"dtcon",itau_w,zx_tmp_fi3d)
-c
 c
       IF(type_run.EQ."CLIM".OR.type_run.EQ."ENSP") THEN
@@ -987,18 +977,4 @@
 c
 
-cIM: 101003 : K/30min ==> K/s
-      zx_tmp_fi3d(1:klon,1:klev)=d_t_ajsb(1:klon,1:klev)/pdtphys
-cym      CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      CALL histwrite_phy(nid_mth,"dtajs",itau_w,zx_tmp_fi3d)
-
-c
-      zx_tmp_fi3d(1:klon,1:klev)=d_q_ajs(1:klon,1:klev)/pdtphys
-cym      CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      CALL histwrite_phy(nid_mth,"dqthe",itau_w,zx_tmp_fi3d)
-c
-
-
-
-
 c
 c  temperature tendency due to large scale precipitation
@@ -1633,7 +1609,4 @@
 cym      CALL gr_fi_ecrit(klev,klon,iim,jjmp1, fiwc,zx_tmp_3d)
       CALL histwrite_phy(nid_mth,"iwcon",itau_w,fiwc)
-c
-cym      CALL gr_fi_ecrit(klev,klon,iim,jjmp1, t_seri, zx_tmp_3d)
-      CALL histwrite_phy(nid_mth,"temp",itau_w,t_seri)
 c
 c#ifdef histmthNMC