Index: LMDZ4/trunk/libf/dyn3d/etat0_netcdf.F
===================================================================
--- LMDZ4/trunk/libf/dyn3d/etat0_netcdf.F	(revision 933)
+++ LMDZ4/trunk/libf/dyn3d/etat0_netcdf.F	(revision 937)
@@ -121,4 +121,5 @@
       REAL, DIMENSION(klon,klev,nbsrf) :: pbl_tke ! turb kinetic energy
       REAL, DIMENSION(klon) :: zmax0, f0 
+      REAL, DIMENSION(klon,klev) :: ema_work1, ema_work2
       REAL :: dummy(klon, nbsrf)
       !
@@ -690,4 +691,6 @@
       zmax0(:) = 40.
       f0(:) = 1.e-5
+      ema_work1(:,:) = 0.
+      ema_work2(:,:) = 0.
 
       call fonte_neige_init(run_off_lic_0)
@@ -702,5 +705,5 @@
      $    zmea, zstd, zsig, zgam, zthe, zpic, zval, rugsrel, 
      $    t_ancien, q_ancien, rnebcon, ratqs, clwcon, pbl_tke,
-     $    zmax0, f0 )
+     $    zmax0, f0, ema_work1, ema_work2 )
 
 
Index: LMDZ4/trunk/libf/phylmd/phyetat0.F
===================================================================
--- LMDZ4/trunk/libf/phylmd/phyetat0.F	(revision 933)
+++ LMDZ4/trunk/libf/phylmd/phyetat0.F	(revision 937)
@@ -13,5 +13,6 @@
      .           rugsrel_p,tabcntr0,
      .           t_ancien_p,q_ancien_p,ancien_ok_p, rnebcon_p, ratqs_p,
-     .           clwcon_p,pbl_tke_p, zmax0_p, f0_p)
+     .           clwcon_p,pbl_tke_p, zmax0_p, f0_p, 
+     .           ema_work1_p, ema_work2_p)
 
       USE dimphy
@@ -49,4 +50,5 @@
       REAL pbl_tke_p(klon,klev,nbsrf)
       REAL zmax0_p(klon), f0_p(klon)
+      REAL ema_work1_p(klon,klev), ema_work2_p(klon,klev)
       REAL tsoil_p(klon,nsoilmx,nbsrf)
       REAL tslab_p(klon), seaice_p(klon)
@@ -87,4 +89,5 @@
       REAL pbl_tke(klon_glo,klev,nbsrf)
       REAL zmax0(klon), f0(klon)
+      REAL ema_work1(klon,klev), ema_work2(klon,klev)
       REAL tsoil(klon_glo,nsoilmx,nbsrf)
 cIM "slab" ocean
@@ -1434,21 +1437,4 @@
 
 c
-      ierr = NF_INQ_VARID (nid, "QANCIEN", nvarid)
-      IF (ierr.NE.NF_NOERR) THEN
-         PRINT*, "phyetat0: Le champ <QANCIEN> est absent"
-         PRINT*, "Depart legerement fausse. Mais je continue"
-         ancien_ok = .FALSE.
-      ELSE
-#ifdef NC_DOUBLE
-         ierr = NF_GET_VAR_DOUBLE(nid, nvarid, q_ancien)
-#else
-         ierr = NF_GET_VAR_REAL(nid, nvarid, q_ancien)
-#endif
-         IF (ierr.NE.NF_NOERR) THEN
-            PRINT*, "phyetat0: Lecture echouee pour <QANCIEN>"
-            CALL abort
-         ENDIF
-      ENDIF
-c
 c Lecture ratqs
 c
@@ -1587,4 +1573,60 @@
       xmax = MAXval(f0)
       PRINT*,'(ecart-type) f0:', xmin, xmax
+c
+c ema_work1
+c
+      ierr = NF_INQ_VARID (nid, "EMA_WORK1", nvarid)
+      IF (ierr.NE.NF_NOERR) THEN
+         PRINT*, "phyetat0: Le champ <EMA_WORK1> est absent"
+         PRINT*, "Depart legerement fausse. Mais je continue"
+         ema_work1=0.
+      ELSE
+#ifdef NC_DOUBLE
+         ierr = NF_GET_VAR_DOUBLE(nid, nvarid, ema_work1)
+#else
+         ierr = NF_GET_VAR_REAL(nid, nvarid, ema_work1)
+#endif
+         IF (ierr.NE.NF_NOERR) THEN
+            PRINT*, "phyetat0: Lecture echouee pour <EMA_WORK1>"
+            CALL abort
+         ENDIF
+           xmin = 1.0E+20
+           xmax = -1.0E+20
+           DO k = 1, klev
+           DO i = 1, klon
+              xmin = MIN(ema_work1(i,k),xmin)
+              xmax = MAX(ema_work1(i,k),xmax)
+           ENDDO
+           ENDDO
+           PRINT*,'ema_work1:', xmin, xmax
+      ENDIF
+c
+c ema_work2
+c
+      ierr = NF_INQ_VARID (nid, "EMA_WORK2", nvarid)
+      IF (ierr.NE.NF_NOERR) THEN
+         PRINT*, "phyetat0: Le champ <EMA_WORK2> est absent"
+         PRINT*, "Depart legerement fausse. Mais je continue"
+         ema_work2=0.
+      ELSE
+#ifdef NC_DOUBLE
+         ierr = NF_GET_VAR_DOUBLE(nid, nvarid, ema_work2)
+#else
+         ierr = NF_GET_VAR_REAL(nid, nvarid, ema_work2)
+#endif
+         IF (ierr.NE.NF_NOERR) THEN
+            PRINT*, "phyetat0: Lecture echouee pour <EMA_WORK2>"
+            CALL abort
+         ENDIF
+           xmin = 1.0E+20
+           xmax = -1.0E+20
+           DO k = 1, klev
+           DO i = 1, klon
+              xmin = MIN(ema_work2(i,k),xmin)
+              xmax = MAX(ema_work2(i,k),xmax)
+           ENDDO
+           ENDDO
+           PRINT*,'ema_work2:', xmin, xmax
+      ENDIF
 c
 c Fermer le fichier:
@@ -1625,4 +1667,6 @@
       call Scatter( zmax0,zmax0_p)
       call Scatter( f0,f0_p)
+      call Scatter( ema_work1, ema_work1_p)
+      call Scatter( ema_work2, ema_work2_p)
       call Scatter( tsoil,tsoil_p)
       call Scatter( tslab,tslab_p)
Index: LMDZ4/trunk/libf/phylmd/phyredem.F
===================================================================
--- LMDZ4/trunk/libf/phylmd/phyredem.F	(revision 933)
+++ LMDZ4/trunk/libf/phylmd/phyredem.F	(revision 937)
@@ -10,5 +10,5 @@
      .           zgam_p,zthe_p,zpic_p,zval_p,rugsrel_p,
      .           t_ancien_p, q_ancien_p, rnebcon_p, ratqs_p, clwcon_p,
-     .           pbl_tke_p, zmax0_p, f0_p)
+     .           pbl_tke_p, zmax0_p, f0_p, ema_work1_p, ema_work2_p)
 
       USE dimphy
@@ -40,4 +40,5 @@
       REAL pbl_tke_p(klon,klev,nbsrf)
       REAL zmax0_p(klon), f0_p(klon)
+      REAL ema_work1_p(klon, klev), ema_work2_p(klon, klev)
       REAL tsoil_p(klon,nsoilmx,nbsrf)
       CHARACTER*6 ocean
@@ -75,4 +76,5 @@
       REAL pbl_tke(klon_glo,klev,nbsrf)
       REAL zmax0(klon_glo), f0(klon)
+      REAL ema_work1(klon, klev), ema_work2(klon, klev)
       REAL tsoil(klon_glo,nsoilmx,nbsrf)
       REAL tslab(klon_glo), seaice(klon_glo)
@@ -143,4 +145,6 @@
       call Gather( zmax0_p,zmax0)
       call Gather( f0_p,f0)
+      call Gather( ema_work1_p, ema_work1)
+      call Gather( ema_work2_p, ema_work2)
       call Gather( tsoil_p,tsoil)
       call Gather( tslab_p,tslab)
Index: LMDZ4/trunk/libf/phylmd/phys_state_var_mod.F90
===================================================================
--- LMDZ4/trunk/libf/phylmd/phys_state_var_mod.F90	(revision 933)
+++ LMDZ4/trunk/libf/phylmd/phys_state_var_mod.F90	(revision 937)
@@ -30,5 +30,5 @@
       REAL, ALLOCATABLE, SAVE :: pbl_tke(:,:,:) ! turb kinetic energy
       REAL, ALLOCATABLE, SAVE :: zmax0(:), f0(:) ! 
-
+      REAL, ALLOCATABLE, SAVE :: ema_work1(:,:), ema_work2(:,:)
 CONTAINS
 
@@ -58,4 +58,5 @@
       ALLOCATE(pbl_tke(klon,klev+1,nbsrf))
       ALLOCATE(zmax0(klon), f0(klon))
+      ALLOCATE(ema_work1(klon,klev), ema_work2(klon,klev))
 
 END SUBROUTINE phys_state_var_init
@@ -75,4 +76,5 @@
       deallocate( ratqs, pbl_tke )
       deallocate( zmax0, f0 )
+      deallocate( ema_work1, ema_work2 )
 
 END SUBROUTINE phys_state_var_end
Index: LMDZ4/trunk/libf/phylmd/physiq.F
===================================================================
--- LMDZ4/trunk/libf/phylmd/physiq.F	(revision 933)
+++ LMDZ4/trunk/libf/phylmd/physiq.F	(revision 937)
@@ -702,7 +702,4 @@
 c$OMP THREADPRIVATE(qcondc)
 cym      SAVE qcondc 
-      REAL,allocatable,save :: ema_work1(:, :), ema_work2(:, :)
-c$OMP THREADPRIVATE(ema_work1,ema_work2)
-cym      SAVE ema_work1, ema_work2
       REAL wdn(klon), tdn(klon), qdn(klon)
 
@@ -1430,5 +1427,4 @@
       allocate( Ma(klon,klev) )
       allocate( qcondc(klon,klev))  
-      allocate( ema_work1(klon, klev), ema_work2(klon, klev))
       allocate( wd(klon) )
       allocate( pfrac_impa(klon,klev))
@@ -1512,6 +1508,4 @@
 	ratqs(:,:)=0.
 	sollw(:)=0.
-	ema_work1(:,:)=0.
-	ema_work2(:,:)=0.
 cym Attention pbase pas initialise dans concvl !!!!
         pbase(:)=0
@@ -1640,5 +1634,5 @@
      .       zmea,zstd,zsig,zgam,zthe,zpic,zval,rugoro,tabcntr0,
      .       t_ancien, q_ancien, ancien_ok, rnebcon, ratqs,clwcon,
-     .       pbl_tke, zmax0, f0)
+     .       pbl_tke, zmax0, f0, ema_work1, ema_work2)
 
 
@@ -3759,5 +3753,5 @@
      .      zmea,zstd,zsig,zgam,zthe,zpic,zval,rugoro,
      .      t_ancien, q_ancien, rnebcon, ratqs, clwcon,
-     .      pbl_tke, zmax0, f0)
+     .      pbl_tke, zmax0, f0, ema_work1, ema_work2)
          open(97,form="unformatted",file="finbin")
          write(97) u_seri,v_seri,t_seri,q_seri