Index: LMDZ4/trunk/libf/phylmd/YOMCST2.h
===================================================================
--- LMDZ4/trunk/libf/phylmd/YOMCST2.h	(revision 959)
+++ LMDZ4/trunk/libf/phylmd/YOMCST2.h	(revision 963)
@@ -1,11 +1,12 @@
 
-      INTEGER choice
+      INTEGER choice, iflag_mix
       REAL  gammas, alphas, betas, Fmax, qqa1, qqa2, qqa3, scut
       REAL  Qcoef1max,Qcoef2max,Supcrit1,Supcrit2
-C
-      COMMON/YOMCST2/gammas,    alphas, betas, Fmax, choice, scut,
-     $               qqa1, qqa2, qqa3,
-     $               Qcoef1max,Qcoef2max,
-     $               Supcrit1, Supcrit2
-C    --------------------------------------------------------------------
+!
+      COMMON/YOMCST2/gammas,    alphas, betas, Fmax, scut,              &
+     &               qqa1, qqa2, qqa3,                                  &
+     &               Qcoef1max,Qcoef2max,                               &
+     &               Supcrit1, Supcrit2,                                &
+     &               choice,iflag_mix
+!    --------------------------------------------------------------------
 
Index: LMDZ4/trunk/libf/phylmd/concvl.F
===================================================================
--- LMDZ4/trunk/libf/phylmd/concvl.F	(revision 959)
+++ LMDZ4/trunk/libf/phylmd/concvl.F	(revision 963)
@@ -118,6 +118,6 @@
        REAL zx_t,zdelta,zx_qs,zcor
 c
-       INTEGER iflag_mix
-       SAVE iflag_mix
+!       INTEGER iflag_mix
+!       SAVE iflag_mix
        INTEGER noff, minorig
        INTEGER i,k,itra
@@ -215,6 +215,6 @@
 C
       if (iflag_con.eq.3) then
-c     CALL cv3_inicp(iflag_clos,iflag_mix)
-      CALL cv3_inip(iflag_mix)
+c     CALL cv3_inicp()
+      CALL cv3_inip()
       endif
 c
@@ -223,7 +223,7 @@
 C===========================================================================
 C
-         open (56,file='supcrit.data')
-         read (56,*) Supcrit1, Supcrit2
-         close (56)
+c$$$         open (56,file='supcrit.data')
+c$$$         read (56,*) Supcrit1, Supcrit2
+c$$$         close (56)
 c
          print*, 'supcrit1, supcrit2' ,supcrit1, supcrit2
Index: LMDZ4/trunk/libf/phylmd/conf_phys.F90
===================================================================
--- LMDZ4/trunk/libf/phylmd/conf_phys.F90	(revision 959)
+++ LMDZ4/trunk/libf/phylmd/conf_phys.F90	(revision 963)
@@ -22,4 +22,5 @@
  include "nuage.h"
  include "YOMCST.h"
+ include "YOMCST2.h"
 !IM : on inclut/initialise les taux de CH4, N2O, CFC11 et CFC12
 include "clesphys.h"
@@ -83,4 +84,7 @@
   integer,SAVE :: iflag_coupl_omp,iflag_clos_omp,iflag_wake_omp
   integer,SAVE :: iflag_cvl_sigd_omp
+  REAL, SAVE :: supcrit1_omp, supcrit2_omp
+  INTEGER, SAVE :: iflag_mix_omp
+  real, save :: scut_omp, qqa1_omp, qqa2_omp, gammas_omp, Fmax_omp, alphas_omp
 
   REAL,SAVE :: R_ecc_omp,R_peri_omp,R_incl_omp,solaire_omp,co2_ppm_omp
@@ -991,4 +995,91 @@
   ok_slab_sicOBS_omp = .true.
   call getin('ok_slab_sicOBS', ok_slab_sicOBS_omp)
+!
+!
+! PARAMETERS FOR CONVECTIVE INHIBITION BY TROPOS. DRYNESS
+!
+!Config Key  = supcrit1
+!Config Desc =
+!Config Def  = .540
+!Config Help =
+!
+  supcrit1_omp = .540
+  call getin('supcrit1',supcrit1_omp)
+
+!
+!Config Key  = supcrit2
+!Config Desc =
+!Config Def  = .600
+!Config Help =
+!
+  supcrit2_omp = .600
+  call getin('supcrit2',supcrit2_omp)
+
+!
+! PARAMETERS FOR THE MIXING DISTRIBUTION
+!
+!
+!Config Key  = iflag_mix
+!Config Desc =
+!Config Def  = 1
+!Config Help =
+!
+  iflag_mix_omp = 1
+  call getin('iflag_mix',iflag_mix_omp)
+
+!
+!Config Key  = scut
+!Config Desc =
+!Config Def  = 0.95
+!Config Help =
+!
+  scut_omp = 0.95
+  call getin('scut',scut_omp)
+
+!
+!Config Key  = qqa1
+!Config Desc =
+!Config Def  = 1.0
+!Config Help =
+!
+  qqa1_omp = 1.0
+  call getin('qqa1',qqa1_omp)
+
+!
+!Config Key  = qqa2
+!Config Desc =
+!Config Def  = 0.0
+!Config Help =
+!
+  qqa2_omp = 0.0
+  call getin('qqa2',qqa2_omp)
+
+!
+!Config Key  = gammas
+!Config Desc =
+!Config Def  = 0.05
+!Config Help =
+!
+  gammas_omp = 0.05
+  call getin('gammas',gammas_omp)
+
+!
+!Config Key  = Fmax
+!Config Desc =
+!Config Def  = 0.65
+!Config Help =
+!
+  Fmax_omp = 0.65
+  call getin('Fmax',Fmax_omp)
+
+!
+!Config Key  = alphas  
+!Config Desc =
+!Config Def  = -5.
+!Config Help =
+!
+  alphas_omp = -5.
+  call getin('alphas',alphas_omp)
+
 
 
@@ -1097,4 +1188,13 @@
     cvl_corr = cvl_corr_omp
     ok_lic_melt = ok_lic_melt_omp
+    supcrit1 = supcrit1_omp
+    supcrit2 = supcrit2_omp
+    iflag_mix = iflag_mix_omp
+    scut = scut_omp
+    qqa1 = qqa1_omp
+    qqa2 = qqa2_omp
+    gammas = gammas_omp
+    Fmax = Fmax_omp
+    alphas = alphas_omp
 
 !$OMP MASTER
@@ -1178,4 +1278,13 @@
   write(numout,*)' inertie_ice = ', inertie_ice
   write(numout,*)' inertie_sno = ', inertie_sno
+  write(numout,*)' supcrit1 = ', supcrit1
+  write(numout,*)' supcrit2 = ', supcrit2
+  write(numout,*)' iflag_mix = ', iflag_mix
+  write(numout,*)' scut = ', scut
+  write(numout,*)' qqa1 = ', qqa1
+  write(numout,*)' qqa2 = ', qqa2
+  write(numout,*)' gammas = ', gammas
+  write(numout,*)' Fmax = ', Fmax
+  write(numout,*)' alphas = ', alphas
 
   write(numout,*)' lonmin lonmax latmin latmax bilKP_ins =',&
Index: LMDZ4/trunk/libf/phylmd/cv3_inicp.F
===================================================================
--- LMDZ4/trunk/libf/phylmd/cv3_inicp.F	(revision 959)
+++ LMDZ4/trunk/libf/phylmd/cv3_inicp.F	(revision 963)
@@ -1,3 +1,3 @@
-        SUBROUTINE cv3_inicp(iflag_clos,iflag_mix)
+        SUBROUTINE cv3_inicp()
 *
 ***************************************************************
Index: LMDZ4/trunk/libf/phylmd/cv3_inip.F
===================================================================
--- LMDZ4/trunk/libf/phylmd/cv3_inip.F	(revision 959)
+++ LMDZ4/trunk/libf/phylmd/cv3_inip.F	(revision 963)
@@ -1,3 +1,3 @@
-        SUBROUTINE cv3_inip(iflag_mix)
+        SUBROUTINE cv3_inip()
 ***************************************************************
 *                                                             *
@@ -11,5 +11,5 @@
 #include "YOMCST2.h"
 c
-      INTEGER iflag_mix
+c      INTEGER iflag_mix
 c
 c --   Mixing probability distribution functions
@@ -52,16 +52,17 @@
 C
 
-        open(57,file='parameter_mix.data')
+c$$$        open(57,file='parameter_mix.data')
+c$$$
+c$$$        read(57,*) iflag_mix, scut
+c$$$        read(57,*)
+c$$$        if(iflag_mix .gt. 0) then
+c$$$	      read(57,*) qqa1, qqa2
+c$$$              read(57,*)
+c$$$              read(57,*) gammas, Fmax
+c$$$              read(57,*)
+c$$$              read(57,*) alphas
+c$$$         endif
+c$$$	 close(57)
 
-        read(57,*) iflag_mix, scut
-        read(57,*)
-        if(iflag_mix .gt. 0) then
-	      read(57,*) qqa1, qqa2
-              read(57,*)
-              read(57,*) gammas, Fmax
-              read(57,*)
-              read(57,*) alphas
-         endif
-	 close(57)
 c
       if(iflag_mix .gt. 0) then