Index: /LMDZ4/trunk/libf/phylmd/concvl.F
===================================================================
--- /LMDZ4/trunk/libf/phylmd/concvl.F	(revision 969)
+++ /LMDZ4/trunk/libf/phylmd/concvl.F	(revision 970)
@@ -404,4 +404,16 @@
 c     print*, 'concvl->: dd_t,dd_q ',dd_t(1,1),dd_q(1,1)
 
+        DO k = 1, klev
+         DO i = 1, klon
+            dtvpdt1(i,k) = 0.
+            dtvpdq1(i,k) = 0.
+         ENDDO
+        ENDDO
+        DO i = 1, klon
+           dplcldt(i) = 0.
+           dplcldr(i) = 0.
+        ENDDO
+
+
       RETURN
       END
Index: /LMDZ4/trunk/libf/phylmd/conf_phys.F90
===================================================================
--- /LMDZ4/trunk/libf/phylmd/conf_phys.F90	(revision 969)
+++ /LMDZ4/trunk/libf/phylmd/conf_phys.F90	(revision 970)
@@ -928,5 +928,5 @@
 !Config Help =
 !
-   lonmax_ins = 130.
+   lonmax_ins_omp = 130.
    call getin('lonmax_ins',lonmax_ins_omp)
 !
Index: /LMDZ4/trunk/libf/phylmd/cv3_mixscale.F
===================================================================
--- /LMDZ4/trunk/libf/phylmd/cv3_mixscale.F	(revision 969)
+++ /LMDZ4/trunk/libf/phylmd/cv3_mixscale.F	(revision 970)
@@ -10,10 +10,13 @@
 *
       implicit none
+
+#include "cv3param.h"
+
       integer nloc,ncum,na
       integer i,j,il
       real ment(nloc,na,na),m(nloc,na)
 c
-      do 100 j=1,na
-        do 101 i=1,na
+      do 100 j=1,nl
+        do 101 i=1,nl
           do 102 il=1,ncum
              ment(il,i,j) = m(il,i)*ment(il,i,j)
Index: /LMDZ4/trunk/libf/phylmd/cv3_routines.F
===================================================================
--- /LMDZ4/trunk/libf/phylmd/cv3_routines.F	(revision 969)
+++ /LMDZ4/trunk/libf/phylmd/cv3_routines.F	(revision 970)
@@ -2464,4 +2464,7 @@
       enddo
 
+! FH WARNING a modifier :
+      cpinv=0.
+
        do j=2,nl
       IF (iflag_mix .gt. 0) then
Index: /LMDZ4/trunk/libf/phylmd/ini_wake.F
===================================================================
--- /LMDZ4/trunk/libf/phylmd/ini_wake.F	(revision 969)
+++ /LMDZ4/trunk/libf/phylmd/ini_wake.F	(revision 970)
@@ -35,11 +35,19 @@
       real it
 cCR: on rajoute ale et alp de la PBL precrits
-      open (99,file='wake.data',form='formatted')
-      read (99,*) it
-      read (99,*) w
-      read (99,*) f
-      read (99,*) u
-      read (99,*) p
-      close (99)
+c     open (99,file='wake.data',form='formatted')
+c     read (99,*) it
+c     read (99,*) w
+c     read (99,*) f
+c     read (99,*) u
+c     read (99,*) p
+c     close (99)
+
+! FH A mettre si besoin dans physiq.def
+! FH : voir avec JYG
+      it=0.
+      w=4.
+      f=0.1
+      u=0.1
+      p=4.
 c
       print *,' it,w ',it,w
Index: /LMDZ4/trunk/libf/phylmd/phys_state_var_mod.F90
===================================================================
--- /LMDZ4/trunk/libf/phylmd/phys_state_var_mod.F90	(revision 969)
+++ /LMDZ4/trunk/libf/phylmd/phys_state_var_mod.F90	(revision 970)
@@ -458,4 +458,5 @@
       deallocate(wsumSTD, phisumSTD)
       deallocate(tnondef)
+      deallocate(qsumSTD, rhsumSTD)
       deallocate(uvsumSTD)
       deallocate(vqsumSTD)
Index: /LMDZ4/trunk/libf/phylmd/physiq.F
===================================================================
--- /LMDZ4/trunk/libf/phylmd/physiq.F	(revision 969)
+++ /LMDZ4/trunk/libf/phylmd/physiq.F	(revision 970)
@@ -592,8 +592,9 @@
       REAL ment(klon,klev,klev),sij(klon,klev,klev)
       REAL dd_t(klon,klev),dd_q(klon,klev)
-      real alp_bl_prescr
-      save alp_bl_prescr
-      real ale_bl_prescr
-      save ale_bl_prescr
+
+      real, save :: alp_bl_prescr=0.
+      real, save :: ale_bl_prescr=0.
+c$OMP THREADPRIVATE(alp_bl_prescr,ale_bl_prescr)
+
       real ale_wake(klon)
       real alp_wake(klon)
Index: /LMDZ4/trunk/libf/phylmd/thermcell_env.F90
===================================================================
--- /LMDZ4/trunk/libf/phylmd/thermcell_env.F90	(revision 969)
+++ /LMDZ4/trunk/libf/phylmd/thermcell_env.F90	(revision 970)
@@ -43,4 +43,6 @@
 
       Zsat=.false.
+      RLvCp = RLVTT/RCPD
+
 !
 ! Pr Tprec=Tl calcul de qsat 